Package org.eclipse.emf.cdo.ui

# Klasse Support

java.lang.Object
org.eclipse.net4j.util.AbstractSupport
org.eclipse.emf.cdo.ui.Support

@Deprecated public abstract class Support extends org.eclipse.net4j.util.AbstractSupport
Veraltet.
As of 4.15 use `Support`.

Seit:
  4.5
Autor:
  Eike Stepper
No Extend
  This class is not intended to be subclassed by clients.

## Verschachtelte Klassen - Übersicht

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen org.eclipse.net4j.util.AbstractSupport

`org.eclipse.net4j.util.AbstractSupport.ClassAvailability`

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`static final Support`
`COMPARE`
Veraltet.
`static final Support`
`HISTORY`
Veraltet.
`static final Support`
`PROPERTIES`
Veraltet.
`static final Support`
`SERVER_SECURITY`
Veraltet.

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`protected abstract boolean`
`determineAvailability()`
Veraltet.

### Von Klasse geerbte Methoden org.eclipse.net4j.util.AbstractSupport

`isAvailable`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Felddetails

### PROPERTIES

public static final Support PROPERTIES
Veraltet.

### HISTORY

public static final Support HISTORY
Veraltet.

### COMPARE

public static final Support COMPARE
Veraltet.

### SERVER_SECURITY

public static final Support SERVER_SECURITY
Veraltet.

Seit:
  4.11

## Methodendetails

### determineAvailability

protected abstract boolean determineAvailability() throws Throwable
Veraltet.

Angegeben von:
  `determineAvailability` in Klasse `org.eclipse.net4j.util.AbstractSupport`
Löst aus:
  `Throwable`